Update an Imported customer invoice

Update an imported customer invoice or credit note. It is not
applicable for draft invoices.

ℹ️

This endpoint requires the following scope: customer_invoices:all

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The ID of the imported customer invoice

Body Params
date

Invoice date (ISO 8601)

date

Invoice payment deadline (ISO 8601)

int64

Customer identifier

string

Invoice number

string
enum
Defaults to EUR
string
^(-?\d+(\.\d+)?)?$

Invoice currency amount before tax (total value before tax of the invoice in the currency of the invoice)

string
^(-?\d+(\.\d+)?)?$

Invoice currency amount (total value of the invoice in the currency of the invoice)

string
^(-?\d+(\.\d+)?)?$

Invoice amount in euros (total value of the invoice in euros). If the currency is euro, currency_amount and amount are identical.

string
^(-?\d+(\.\d+)?)?$

Invoice taxable amount (in invoice currency)

string
^(-?\d+(\.\d+)?)?$

Invoice taxable amount (in euros). If the currency is euro, currency_tax and tax are identical.

transaction_reference
object | null

Schema for creating/updating a transaction reference

invoice_lines
object

Add, update, delete invoice lines.

installments
object

Add, update, or delete installments on this invoice.
The sum of all installments' amount values must equal the invoice total amount with tax.
Only EUR invoices support multiple installments.

ℹ️

This endpoint requires a company plan that has access to Installments, otherwise responds with 403.

⚠️

Warning: This feature is in alpha

The installments param will be ignored until further rollout and the request will proceed as if it was made without it
If you plan to rely on it, please get in touch with us first

string

The unique external reference that was assigned during creation either by you or Pennylane.

Headers
string

Numeric ID of the company to act on. Required when authenticating with a firm token. Ignored when the token is already bound to a company.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json